/*
 * Sun RPC is a product of Sun Microsystems, Inc. and is provided for
 * unrestricted use provided that this legend is included on all tape
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify Sun RPC without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 * 
 * Sun RPC is provided with no support and without any obligation on the
 * part of Sun Microsystems, Inc. to assist in its use, correction,
 * modification or enhancement.
 * 
 * SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 * INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
 * OR ANY PART THEREOF.
 * 
 * In no event will Sun Microsystems, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * Sun has been advised of the possibility of such damages.
 * 
 * Sun Microsystems, Inc.
 * 2550 Garcia Avenue
 * Mountain View, California  94043
 */

#if !defined(lint) && defined(SCCSIDS)
static char sccsid[] = "@(#)client.c  1.11  90/02/10  Copyr 1988 Sun Micro";
#endif
 
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <rpc/rpc.h>
#include "test.h"

extern void runTests();
extern void parseArgs();
extern CLIENT *clnt;
extern char host[];
extern char transport[];
#ifdef SVR4
extern struct netconfig *nconf;
#endif
extern bool_t expFlag;
extern bool_t bindTest;

main(argc, argv)
	int argc;
	char *argv[];
{
	int i;

	parseArgs(argc, argv);

	clnt = clnt_create(host, PERF, VERS_ONE, transport);
	if (clnt == NULL) {
		clnt_pcreateerror(host);
		exit(1);
	}

#ifdef SVR4
	nconf = getnetconfigent(clnt->cl_netid);
	if (nconf == NULL) {
		fprintf(stderr, "Invalid transport id: %s\n",clnt->cl_netid);
		exit(1);
	}
#endif

	for (i = 0; i < argc; i++)
		printf("%s ", argv[i]);
	printf("\n");

	runTests();
#ifdef SVR4
	freenetconfigent(nconf);
#endif
	exit(0);
}
