/*
 * Sun RPC is a product of Sun Microsystems, Inc. and is provided for
 * unrestricted use provided that this legend is included on all tape
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify Sun RPC without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 * 
 * Sun RPC is provided with no support and without any obligation on the
 * part of Sun Microsystems, Inc. to assist in its use, correction,
 * modification or enhancement.
 * 
 * SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 * INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
 * OR ANY PART THEREOF.
 * 
 * In no event will Sun Microsystems, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * Sun has been advised of the possibility of such damages.
 * 
 * Sun Microsystems, Inc.
 * 2550 Garcia Avenue
 * Mountain View, California  94043
 */

#if !defined(lint) && defined(SCCSIDS)
static char sccsid[] = "@(#)raw_server.c  1.2  90/02/10  Copyr 1988 Sun Micro";
#endif

/*
 * the routines that implement the server functions for the
 * performance test suite.
 */

#include <rpc/rpc.h>
#include "test.h"

int *
raw_null_call_1(arg1, rqstp)
	int *arg1;
	struct svc_req *rqstp;
{
	static int  result;

#ifdef DEBUG
	printf("In null_call_1\n");
#endif
	result = *arg1;
	return (&result);
}

int *
raw_thru_o_1400_1(arg1, rqstp)
	opaqueArg1400 *arg1;
	struct svc_req *rqstp;
{
	static int  result;
#ifdef DEBUG
	printf("In thru_o_1400_1\n");
#endif

	return (&result);
}

int *
raw_thru_o_var_1(arg1, rqstp)
	opaqueArgVar *arg1;
	struct svc_req *rqstp;
{
	static int  result;

#ifdef DEBUG
	printf("In thru_o_var_1\n");
	printf("Number of elements in opaqeArgVar = %d\n",
		arg1->data.data_len);
#endif
	return (&result);
}

int *
raw_thru_ui_var_1(arg1, rqstp)
	UintArgVar *arg1;
	struct svc_req *rqstp;
{
	static int  result;
#ifdef DEBUG
	int i;

	printf("In thru_i_var_1\n");
	printf("Number of elements in UintArgVar = %d\n",
		arg1->UintArgVar_len);
	printf("Numbers are: ");
	for (i = 0; i < arg1->UintArgVar_len; i++)
		printf("%d ", arg1->UintArgVar_val[i]);
	printf("\n");
#endif
	return (&result);
}

int *
raw_thru_ti_var_1(arg1, rqstp)
	TintArgVar *arg1;
	struct svc_req *rqstp;
{
	static int  result;
#ifdef DEBUG
	int i;

	printf("In thru_i_var_1\n");
	printf("Number of elements in TintArgVar = %d\n",
		arg1->TintArgVar_len);
	printf("Numbers are: ");
	for (i = 0; i < arg1->TintArgVar_len; i++)
		printf("%d ", arg1->TintArgVar_val[i]);
	printf("\n");
#endif
	return (&result);
}

int *
raw_thru_xu_var_1(arg1, rqstp)
	UtestArgVar *arg1;
	struct svc_req *rqstp;
{
	static int  result;
#ifdef DEBUG
	int i;

	printf("In thru_i_var_1\n");
	printf("Number of elements in UtestArgVar = %d\n",
		arg1->UtestArgVar_len);
	printf("Numbers are: ");
	for (i = 0; i < arg1->UtestArgVar_len; i++)
		printf("%d ", arg1->UtestArgVar_val[i]);
	printf("\n");
#endif
	return (&result);
}

int *
raw_thru_xt_var_1(arg1, rqstp)
	TtestArgVar *arg1;
	struct svc_req *rqstp;
{
	static int  result;
#ifdef DEBUG
	int i;

	printf("In thru_i_var_1\n");
	printf("Number of elements in TtestArgVar = %d\n",
		arg1->TtestArgVar_len);
	printf("Numbers are: ");
	for (i = 0; i < arg1->TtestArgVar_len; i++)
		printf("%d ", arg1->TtestArgVar_val[i]);
	printf("\n");
#endif
	return (&result);
}
